xn::Resolution Class Reference
C++ Reference to Application Programmer Interface (API) » Misc

`#include <XnCppWrapper.h>`

## Public Member Functions

| Resolution (XnResolution res)
| Resolution (XnUInt32 xRes, XnUInt32 yRes)
| Resolution (const XnChar *strName)
XnResolution | GetResolution () const
XnUInt32 | GetXResolution () const
XnUInt32 | GetYResolution () const
const XnChar * | GetName () const

## Detailed Description

A utility class for resolution info

## Constructor & Destructor Documentation

## Resolution() [1/3]

xn::Resolution::Resolution | ( | XnResolution | res | ) |

inline

Creates a Resolution object.

Parameters

  [in] | res | Resolution

## Resolution() [2/3]

xn::Resolution::Resolution | ( | XnUInt32 | xRes,
|  | XnUInt32 | yRes )

inline

Creates a Resolution object out of X and Y resolutions.

Parameters

  [in] | xRes | X resolution
  [in] | yRes | Y resolution

## Resolution() [3/3]

xn::Resolution::Resolution | ( | const XnChar * | strName | ) |

inline

Creates a Resolution object out of its name

Parameters

  [in] | strName | name of the resolution

## Member Function Documentation

## GetName()

const XnChar * xn::Resolution::GetName | ( |  | ) | const

inline

Gets the name of the resolution

## GetResolution()

XnResolution xn::Resolution::GetResolution | ( |  | ) | const

inline

Gets the resolution

## GetXResolution()

XnUInt32 xn::Resolution::GetXResolution | ( |  | ) | const

inline

Gets the X resolution

## GetYResolution()

XnUInt32 xn::Resolution::GetYResolution | ( |  | ) | const

inline

Gets the Y resolution

The documentation for this class was generated from the following file:

- XnCppWrapper.h